=== plugins/examples/login-plugins/login-udcp/CMakeLists.txt ===
include_directories(
    global
)

link_libraries(
    ${Qt_LIBS}
)

set(LIB_NAME login-udcp)

aux_source_directory(. SRCS)

add_library(${LIB_NAME} SHARED ${SRCS} login-plugin.qrc)

install(TARGETS ${LIB_NAME} LIBRARY DESTINATION lib/dde-session-shell/modules)
