=== debian/changelog ===
dde-session-shell (6.0.38) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:30:55 +0800

dde-session-shell (6.0.37) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:36:55 +0800

dde-session-shell (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:36:55 +0800

dde-session-shell (6.0.35) unstable; urgency=medium

  * chore: remove Depends="pbis-open"
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 15:20:55 +0800

dde-session-shell (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell (#406)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 17 Apr 2025 17:18:35 +0800

dde-session-shell (6.0.33) unstable; urgency=medium

  * chore: Synchronize to 107x (#402)
  * chore: sync base dde-session-shell repo (#404)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 10 Apr 2025 14:13:15 +0800

dde-session-shell (6.0.32) unstable; urgency=medium

  * chore: remove startdde dependency

 -- fuleyi <fuleyi@uniontech.com>  Wed, 02 Apr 2025 11:28:22 +0800

dde-session-shell (6.0.31) unstable; urgency=medium

  * fix: lock window just show background widget (#400)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Mar 2025 17:50:04 +0800

dde-session-shell (6.0.30) unstable; urgency=medium

  * fix: Unable to open control center
  * fix: password lineEdit can copy or cut (#398)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Fri, 21 Mar 2025 10:12:01 +0800

dde-session-shell (6.0.29) unstable; urgency=medium

  * feat: add systemReboot config

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Feb 2025 21:59:07 +0800

dde-session-shell (6.0.28) unstable; urgency=medium

  * fix: multiple screens, has lock screen widget is not the right size

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 20 Feb 2025 15:13:05 +0800

dde-session-shell (6.0.27) unstable; urgency=medium

  * chore: adapt to Qt6.

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 16:38:47 +0800

dde-session-shell (6.0.26) unstable; urgency=medium

  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 16:07:47 +0800

dde-session-shell (6.0.25) unstable; urgency=medium

  * fix: turning off 'Unlocking is required to wake up the computer' does not work
  * fix: Time text changes with time zone

 -- zsien <quezhiyong@deepin.org>  Fri, 29 Nov 2024 15:36:13 +0800

dde-session-shell (6.0.24) unstable; urgency=medium

  * release 6.0.24

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 21 Nov 2024 14:46:11 +0800
