=== plugins/CMakeLists.txt ===
if (DISABLE_DSS_SNIPE)
    add_subdirectory(one-key-login)
endif()
# add_subdirectory(examples)
# add_subdirectory(assist_login)
