=== debian/changelog ===
dde-session-shell (6.0.41) unstable; urgency=medium

  * chore: remove unused Spanish translation files

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 23 Jun 2025 17:04:03 +0800

dde-session-shell (6.0.40) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 12 Jun 2025 19:33:15 +0800

dde-session-shell (6.0.39) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Wed, 28 May 2025 17:17:55 +0800
