=== debian/control ===
Source: dde-session-shell
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends: debhelper-compat (=12), pkg-config,
 cmake,
 qt6-base-dev,
 qt6-svg-dev,
 qt6-tools-dev,
 liblightdm-qt6-3-dev | liblightdm-qt-dev,
 libxcb-ewmh-dev,
 libglib2.0-dev,
 libdtk6widget-dev,
 libdtk6core-bin,
 libdtk6core-dev,
 libpam0g-dev,
 libsystemd-dev,
 deepin-gettext-tools,
 libxtst-dev,
 libxcursor-dev,
 libxrandr-dev,
 libgtest-dev,
 libx11-xcb-dev,
 libssl-dev,
Standards-Version: 3.9.4
Homepage: http://www.deepin.org/

Package: dde-session-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends},
 deepin-desktop-schemas (>=5.9.14),
 dde-daemon (>=6.1.26),
 x11-xserver-utils,
 deepin-authenticate(>=1.2.27),
 libssl3,
 libxcb-util0|libxcb-util1,
 xsettingsd,
 onboard
Provides: lightdm-greeter
Recommends: dss-network-plugin,
 dde-network-dialog
Conflicts: dde-workspace,
 deepin-notifications,
 dde-session-ui (<< 5.0.0),
 dde-preload
Replaces: deepin-notifications
Breaks: dde-workspace
Description: deepin desktop-environment - dde-session-shell module
 Deepin desktop environment 2015 - dde-session-shell module.
 lightdm-deepin-greeter - login，the entry to the desktop
 dde-lock - lock screen, to protect privacy
 deepin-greeter - actual call the lightdm-deepin-greeter

Package: dde-session-shell-dev
Architecture: any
Depends: dde-session-shell (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - dde-session-shell module development files
 DDE Session Shell module development files of deepin desktop-environment
