## dde-session-shell 6.0.49

=== CMakeLists.txt ===
--- 
+++ 
@@ -260,6 +260,7 @@
     src/widgets/passworderrortipswidget.cpp
     src/widgets/passworderrortipswidget.h
     src/global_util/dbusconstant.h
+    src/global_util/signal_bridge.h
 )
 
 link_libraries(
@@ -324,7 +325,14 @@
     src/lightdm-deepin-greeter/logincontent.cpp
     src/lightdm-deepin-greeter/logintipswindow.cpp
     src/lightdm-deepin-greeter/sessionwidget.cpp
-)
+    src/global_util/signal_bridge.h
+)
+
+if (USE_DEEPIN_WAYLAND)
+  set(GREETER_SRCS
+    ${GREETER_SRCS}
+  )
+endif(USE_DEEPIN_WAYLAND)
 
 add_executable(lightdm-deepin-greeter
     ${GREETER_SRCS}
@@ -355,10 +363,3 @@
 
 if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
     target_compile_definitions(lightdm-deepin-greeter
-        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
-    )
-endif()
-
-target_link_libraries(lightdm-deepin-greeter PRIVATE
-    ${Qt_LIBS}
-    ${PAM_LIBRARIES}
