=== plugins/CMakeLists.txt ===
if (DISABLE_DSS_SNIPE)
    add_subdirectory(one-key-login)
    add_subdirectory("login-gesture")
endif()
# add_subdirectory(examples)
# add_subdirectory(assist_login)
