=== plugins/examples/CMakeLists.txt ===
add_subdirectory(login-plugins/login-basic)
add_subdirectory(login-plugins/login-complex)
add_subdirectory(login-plugins/login-fullManaged)
add_subdirectory(login-plugins/login-udcp)
add_subdirectory(tray-plugins/network)
#add_subdirectory(tray-plugins/webview)
