=== tests/lightdm-deepin-greeter/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logincontent.cpp
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/logintipswindow.cpp
     ${PROJECT_SOURCE_DIR}/src/lightdm-deepin-greeter/sessionwidget.cpp
+    ${PROJECT_SOURCE_DIR}/src/global_util/signal_bridge.h
 )
 
 add_executable(${BIN_NAME}
