=== debian/changelog ===
dde-session-shell (6.0.49) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 23 Oct 2025 16:00:57 +0800

dde-session-shell (6.0.48) unstable; urgency=medium

  * chore: remove unused Spanish translation files
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 21:01:20 +0800

dde-session-shell (6.0.47) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell (#461)
  * sync: from linuxdeepin/dde-session-shell (#459)
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell
  * sync: from linuxdeepin/dde-session-shell (#456)
  * sync: from linuxdeepin/dde-session-shell

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 12 Sep 2025 14:01:07 +0800

dde-session-shell (6.0.46) unstable; urgency=medium

  * Sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Fri, 05 Sep 2025 09:36:55 +0800

dde-session-shell (6.0.45) unstable; urgency=medium

  * Sync: from linuxdeepin/dde-session-shell

 -- zyz <zhaoyingzhen@uniontech.com>  Thu, 28 Aug 2025 18:29:17 +0800
