## dde-session-shell 6.0.50

=== CMakeLists.txt ===
--- 
+++ 
@@ -184,7 +184,6 @@
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Accounts1.User.xml userinterface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.ImageEffect1.xml imageeffect1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Logined.xml loginedinterface"
-        "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.PowerManager1.xml powermanager1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.SystemPower1.xml systempower1interface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/com.deepin.wm.xml wminterface"
         "${CMAKE_SOURCE_DIR}/xml/snipe/org.deepin.dde.Authenticate1.Session2.xml session2interface"
@@ -363,3 +362,7 @@
 
 if (WAIT_DEEPIN_ACCOUNTS_SERVICE)
     target_compile_definitions(lightdm-deepin-greeter
+        PUBLIC ENABLE_WAITING_ACCOUNTS_SERVICE
+    )
+endif()
+
