=== debian/changelog ===
dde-session-shell (6.0.50) unstable; urgency=medium

  * sync: from linuxdeepin/dde-session-shell

 -- caixiangrong <caixiangrong@uniontech.com>  Thu, 06 Nov 2025 16:35:16 +0800
